Bug 462676 - Review Request: perl-Config-General - Generic configuration module for Perl
Review Request: perl-Config-General - Generic configuration module for Perl
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: nobody nobody
:
Depends On:
Blocks: 188273 445418 462774
  Show dependency treegraph
 
Reported: 2008-09-18 03:50 EDT by Mike Christie
Modified: 2008-10-30 03:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 11:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2008-09-18 03:50:40 EDT
Spec URL: http://people.redhat.com/mchristi/target/perl-deps/perl-Config-General.spec
SRPM URL: http://people.redhat.com/mchristi/target/perl-deps/perl-Config-General-2.38-1.src.rpm
Description:

This module opens a config file and parses it's contents for
you. After parsing the module returns a hash structure which contains
the representation of the config file.
The format of config files supported by Config::General is inspired by
the well known apache config format, in fact, this module is 100%
read-compatible to apache configs, but you can also just use simple
name/value pairs in your config files.
In addition to the capabilities of a apache config file it supports
some enhancements such as here-documents, C- style comments or
multiline options. It is also possible to save the config back to
disk, which makes the module a perfect backend for configuration
interfaces.
It is possible to use variables in config files and there exists also
support for object oriented access to the configuration.
Comment 2 Mike Christie 2008-09-18 03:56:26 EDT
Marcela Mašláňová <mmaslano@redhat.com> is going to maintain the perl-Config-General. This is in F9 already. A different non-redhat person maintains that.

For the spec and src rpm in the first comment, I took the current fedora rpm. rpmlint did not report any errors on the spec or src rpm.
Comment 3 Marcela Mašláňová 2008-09-18 04:15:42 EDT
The package pass rpmlint and all other requirements.
Comment 4 RHEL Product and Program Management 2008-09-18 12:02:07 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 Marcela Mašláňová 2008-09-24 11:10:24 EDT
This package will be fixed in components #462774. This is just a review of package for RHEL-5.3 and could be closed.
Comment 6 Chris Weyl 2008-10-29 17:00:47 EDT
Just sanity checking here -- this is a review of this package to be included in RHEL5.3, not EPEL, right?

-- "a different non-redhat person"
Comment 7 Marcela Mašláňová 2008-10-30 03:25:32 EDT
Yes, this review is for RHEL.

Note You need to log in before you can comment on or make changes to this bug.